Bug 1006810 - mozmill fails on ppc64
mozmill fails on ppc64
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nss (Show other bugs)
ppc64 Unspecified
low Severity medium
: rc
: ---
Assigned To: nss-nspr-maint
BaseOS QE Security Team
Depends On:
  Show dependency treegraph
Reported: 2013-09-11 06:26 EDT by Hubert Kario
Modified: 2017-08-31 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-31 09:52:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Hubert Kario 2013-09-11 06:26:54 EDT
Description of problem:
Then test mozmill test suite fails when run on ppc64 using new nss.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. get mozmill from http://hg.mozilla.org/qa/mozmill-tests
2. run using DISPLAY=:0 mozmill-restart --show-all -t tests/

Actual results:
DEBUG | mozmill.endTest | {"passes": [{"function": "Controller.open()"}, {"function": "utils.waitFor()"}, {"function": "controller.waitFor()"}, {"function": "controller.waitForPageLoad()"}, {"function": "utils.waitFor()"}, {"function": "controller.waitFor()"}, {"function": "Controller.waitForElement()"}, {"function": "Controller.type()"}, {"function": "controller.click()"}, {"function": "utils.waitFor()"}, {"function": "controller.waitFor()"}, {"function": "Controller.waitForElement()"}, {"function": "controller.click()"}], "fails": [], "time_start": 1378745231216, "name": "test2.js::testLogin2", "time_end": 1378745232361, "filename": "/tmp/tmp.W7mUXHCEmp/tests/test2.js", "failed": 0, "passed": 13}
DEBUG | mozmill.setState | "currentState"
DEBUG | mozmill.setTest | {"name": "testLogin3", "filename": "/tmp/tmp.W7mUXHCEmp/tests/test2.js"}
INFO | Step Pass: {"function": "Controller.open()"}
INFO | Step Pass: {"function": "utils.waitFor()"}
INFO | Step Pass: {"function": "controller.waitFor()"}
INFO | Step Pass: {"function": "controller.waitForPageLoad()"}
INFO | Step Pass: {"function": "utils.waitFor()"}
INFO | Step Pass: {"function": "controller.waitFor()"}
INFO | Step Pass: {"function": "Controller.waitForElement()"}
INFO | Step Pass: {"function": "Controller.type()"}
INFO | Step Pass: {"function": "controller.click()"}
INFO | Step Pass: {"function": "utils.waitFor()"}
INFO | Step Pass: {"function": "controller.waitFor()"}
INFO | Step Pass: {"function": "Controller.waitForElement()"}
INFO | Step Pass: {"function": "controller.click()"}
DEBUG | mozmill.endTest | {"passes": [{"function": "Controller.open()"}, {"function": "utils.waitFor()"}, {"function": "controller.waitFor()"}, {"function": "controller.waitForPageLoad()"}, {"function": "utils.waitFor()"}, {"function": "controller.waitFor()"}, {"function": "Controller.waitForElement()"}, {"function": "Controller.type()"}, {"function": "controller.click()"}, {"function": "utils.waitFor()"}, {"function": "controller.waitFor()"}, {"function": "Controller.waitForElement()"}, {"function": "controller.click()"}], "fails": [], "time_start": 1378745232362, "name": "test2.js::testLogin3", "time_end": 1378745233505, "filename": "/tmp/tmp.W7mUXHCEmp/tests/test2.js", "failed": 0, "passed": 13}
DEBUG | mozmill.persist
INFO | Step Pass: {"function": "utils.waitFor()"}
DEBUG | mozmill.endRunner | true
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test1.js | setupModule
TEST-PASS | /tmp/tmp.W7mUXHCEmp/tests/test1.js | test1.js::setupModule
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test1.js | testSetPassword1
TEST-UNEXPECTED-FAIL | /tmp/tmp.W7mUXHCEmp/tests/test1.js | test1.js::testSetPassword1
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test1.js | testSetPassword2
TEST-UNEXPECTED-FAIL | /tmp/tmp.W7mUXHCEmp/tests/test1.js | test1.js::testSetPassword2
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test1.js | testSetMasterPassword
TEST-UNEXPECTED-FAIL | /tmp/tmp.W7mUXHCEmp/tests/test1.js | test1.js::testSetMasterPassword
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test2.js | setupModule
TEST-PASS | /tmp/tmp.W7mUXHCEmp/tests/test2.js | test2.js::setupModule
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test2.js | testOpenPage
TEST-UNEXPECTED-FAIL | /tmp/tmp.W7mUXHCEmp/tests/test2.js | test2.js::testOpenPage
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test2.js | testLogin1
TEST-PASS | /tmp/tmp.W7mUXHCEmp/tests/test2.js | test2.js::testLogin1
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test2.js | testLogin2
TEST-PASS | /tmp/tmp.W7mUXHCEmp/tests/test2.js | test2.js::testLogin2
TEST-START | /tmp/tmp.W7mUXHCEmp/tests/test2.js | testLogin3
TEST-PASS | /tmp/tmp.W7mUXHCEmp/tests/test2.js | test2.js::testLogin3
INFO Passed: 5
INFO Failed: 4
INFO Skipped: 0

Expected results:
Test pass

Additional info:
Not a regression, ppc64 didn't work on RHEL-6.4.0 too
Comment 2 RHEL Product and Program Management 2013-10-13 22:15:20 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.